- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QLineWidth
- Qt 6.9.2 Reference Documentation

# Qt3DRender::QLineWidth Class

class Qt3DRender::QLineWidth

Specifies the width of rasterized lines. More...

Header: | `#include <QLineWidth>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | LineWidth
Inherits: | Qt3DRender::QRenderState
Status: | Deprecated

- List of all members, including inherited members

## Properties

- value : float

## Public Functions

bool | smooth() const
float | value() const

## Public Slots

void | setSmooth(bool enabled)
void | setValue(float value)

## Signals

void | smoothChanged(bool enabled)
void | valueChanged(float value)

## Detailed Description

## Property Documentation

### value : float

Specifies the width value to be used.

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)